Last Comment Bug 692865 - IndexedDB: IDBDatabase.version should not vary over the lifetime of the DB
: IndexedDB: IDBDatabase.version should not vary over the lifetime of the DB
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: IndexedDB (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: ---
Assigned To: Kyle Huey [:khuey] (khuey@mozilla.com)
:
Mentors:
Depends on: 699468
Blocks: idb
  Show dependency treegraph
 
Reported: 2011-10-07 11:12 PDT by Kyle Huey [:khuey] (khuey@mozilla.com)
Modified: 2012-03-22 11:51 PDT (History)
2 users (show)
khuey: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Kyle Huey [:khuey] (khuey@mozilla.com) 2011-10-07 11:12:15 PDT
The spec says that IDBDatabase.version should be constant over the lifetime of the database.  This is not true in our implementation.
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-11-07 16:56:02 PST
This was fixed by bug 699468.

Note You need to log in before you can comment on or make changes to this bug.